Flecs: flecs::page_iterable< Components > Struct Template Reference
Description: A fast entity component system (ECS) for C & C++

| Flecs v4.0 A fast entity component system (ECS) for C & C++

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
flecs::page_iterable< Components > Struct Template Referencefinal
Inheritance diagram for flecs::page_iterable< Components >:
[legend]

## Public Member Functions
template<typename Iterable >
| page_iterable (int32_t offset, int32_t limit, Iterable *it)
Public Member Functions inherited from flecs::iterable< Components... >
void | each (Func &&func) const
| Each iterator.
void | run (Func &&func) const
| Run iterator.
flecs::entity | find (Func &&func) const
iter_iterable< Components... > | iter (flecs::world_t *world=nullptr) const
| Create iterator.
iter_iterable< Components... > | iter (flecs::iter &iter) const
| Create iterator.
iter_iterable< Components... > | iter (flecs::entity e) const
| Create iterator.
page_iterable< Components... > | page (int32_t offset, int32_t limit)
| Page iterator.
worker_iterable< Components... > | worker (int32_t index, int32_t count)
| Worker iterator.
int32_t | count () const
| Return number of entities matched by iterable.
bool | is_true () const
| Return whether iterable has any matches.
flecs::entity | first () const
| Return first entity matched by iterable.
iter_iterable< Components... > | set_var (int var_id, flecs::entity_t value)
iter_iterable< Components... > | set_var (const char *name, flecs::entity_t value)
iter_iterable< Components... > | set_var (const char *name, flecs::table_t *value)
iter_iterable< Components... > | set_var (const char *name, ecs_table_range_t value)
iter_iterable< Components... > | set_var (const char *name, flecs::table_range value)
iter_iterable< Components... > | set_group (uint64_t group_id)
iter_iterable< Components... > | set_group ()

## Protected Member Functions
ecs_iter_t | get_iter (flecs::world_t *) const
ecs_iter_next_action_t | next_action () const
Protected Member Functions inherited from flecs::iterable< Components... >

## Additional Inherited Members
Protected Attributes inherited from flecs::iterable< Components... >
friend | iter_iterable< Components... >
friend | page_iterable< Components... >
friend | worker_iterable< Components... >

## Detailed Description

template<typename ... Components>
struct flecs::page_iterable< Components >

Definition at line 288 of file iterable.hpp.

## Constructor & Destructor Documentation

## ◆ page_iterable()

template<typename ... Components>
template<typename Iterable >

flecs::page_iterable< Components >::page_iterable | ( | int32_t | offset,
|  | int32_t | limit,
|  | Iterable * | it )
| inline

Definition at line 290 of file iterable.hpp.

## Member Function Documentation

## ◆ get_iter()

template<typename ... Components>

ecs_iter_t flecs::page_iterable< Components >::get_iter | ( | flecs::world_t * |  | ) | const
| inlineprotectedvirtual

Implements flecs::iterable< Components... >.

Definition at line 298 of file iterable.hpp.

## ◆ next_action()

template<typename ... Components>

ecs_iter_next_action_t flecs::page_iterable< Components >::next_action | ( |  | ) | const
| inlineprotectedvirtual

Implements flecs::iterable< Components... >.

Definition at line 302 of file iterable.hpp.

The documentation for this struct was generated from the following file:

- include/flecs/addons/cpp/utils/iterable.hpp